/*CSS de la maquette psd code company*/

/*Font*/

@font-face {
    font-family: 'robotobold';
    src: url(../font/roboto-bold-webfont.woff2) format('woff2'),
        url(../font/roboto-bold-webfont.woff) format('woff');
    font-weight: normal;
    font-style: normal;

}




@font-face {
    font-family: 'robotolight';
    src: url(../font/roboto-light-webfont.woff2) format('woff2'),
        url(../font/roboto-light-webfont.woff) format('woff');
    font-weight: normal;
    font-style: normal;

}




@font-face {
    font-family: 'robotomedium';
    src: url(../font/roboto-medium-webfont.woff2) format('woff2'),
        url(../font/roboto-medium-webfont.woff) format('woff');
    font-weight: normal;
    font-style: normal;

}




@font-face {
    font-family: 'robotoregular';
    src: url(../font/roboto-regular-webfont.woff2) format('woff2'),
        url(../font/roboto-regular-webfont.woff) format('woff');
    font-weight: normal;
    font-style: normal;

}

/*Global*/

* {
    box-sizing: border-box;

}

img,
iframe,
video {
    max-width: 100%;
    vertical-align: middle;
}

* {

    padding: 0;
    margin: 0;
}

body {

    background-color: #fff;
    font-family: 'robotoregular';
    line-height: 130%;
}

h1 {

    font-size: 60px;
    font-family: 'robotobold';
    line-height: 150%;
}

h2 {

    font-size: 36px;
    font-family: 'robotomedium';
    line-height: 150%;
}

h3 {
    font-size: 24px;
    font-family: 'robotolight';
    line-height: 150%;
}

.soustitre {

    font-size: 18px;
    font-family: 'robotolight';
    line-height: 150%;
}

p {

    font-size: 15px;
}

h1,
h2,
h3,
.soustitre,
p {

    text-align: center;
}

.conteneur {

    width: 1140px;

}

a {
    text-decoration: none;
    cursor: pointer;
    color: #3ead87;
}

/*Structure*/

.ligne {

    max-width: 480px;
    border-bottom: 1px solid #c9d4da;

    margin: 0 auto;

}

/*Header*/

.logo {

    border: 1px solid #3a5867;
    padding: 10px;
    border-radius: 50%;
}


.logo:hover {

    border: 1px solid #1f4559;
    background-color: #8ebdd6;

}

.fond1 {

    background-color: #093348;
}

.fond1 .conteneur {

    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    margin: auto;
}


/*Menu*/

#menu ul {

    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    margin: 0 auto;
}

#menu ul li {

    font-size: 17px;
    text-transform: uppercase;
    font-family: 'robotoregular';
    padding: 20px;
    list-style: none;
}

#menu ul:last-child li{
    
    padding-right: 0;
}

#menu ul:first-child li{
    
    padding-left: 0;
}

#menu ul li a {
    color: #fff;
    display: block;
    padding: 15px 20px;
}

#menu ul li a:hover {

    color: #8ebdd6;
    background-color: #1f4559;
    border-radius: 5px;
}



/*En tête*/

.fond2 {

    background: linear-gradient(rgba(9, 52, 75, 0.92),
        rgba(0, 0, 0, 0.45)), url(../img/codecompany-image-entete.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

.fond2 .conteneur {

    margin: 0 auto;
    padding-top: 110px;
    padding-bottom: 110px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

}

.fond2 h1 {

    padding-bottom: 24px;
}



.fond2 h1,
.fond2 h3,
.fond2 a {

    color: #fff;
    margin: 0;
}

.fond2 .ligne {

    border-bottom: 1px solid #5a8da7;
    padding-bottom: 30px;
}



.fond2 p {

    color: #b4d1e1;
    padding-top: 30px;
    padding-bottom: 44px;
}

.fond2 a {

    padding: 15px;
    border: 2px solid #fff;
    border-radius: 25px;
    width: 300px;
    text-align: center;
    display: block;
    margin: auto;
    font-size: 15px;
    font-family: 'robotomedium';

}

.fond2 a:hover {

    background-color: #fff;
    color: #093348;
}

.fond2 a img {

    padding-left: 8px;
}


/*Team*/

.bloc3 {

    margin: 0 auto;

}

.bloc3 h4 {

    font-size: 24px;
    color: #0d415c;
    padding-top: 20px;
    padding-bottom: 10px;
}

.bloc3 > p {

    font-size: 15px;
    color: #0d415c;

    padding-bottom: 72px;
}



#teamtitre {

    color: #0d415c;
    padding-bottom: 45px;
    padding-top: 75px;
    display: block;
    margin: auto;
}

.team {


    text-align: center;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.teammember {

    display: block;
    margin: auto;
}

.team p {

    font-size: 13px;
    color: #618598;
}

.bloc3 .ligne {

    margin-top: 45px;
    margin-bottom: 45px;
}

/*portfolio*/

.fond3 {
    background-color: #3ead87;
}

.fond3 .conteneur {

    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    margin: auto;
}

#portfolio {

    text-align: center;
    display: block;
    margin: auto;
    color: #fff;
    padding-top: 60px;
    padding-bottom: 15px;
}




.fond3 .conteneur .soustitre {

    color: #fff;
    text-align: center;
    display: block;
    margin: auto;
    padding-bottom: 76px;

}

.fond3 .conteneur a {

    padding: 15px;
    border: 2px solid #fff;
    border-radius: 25px;
    width: 300px;
    text-align: center;
    display: block;
    margin: auto;
    font-size: 15px;
    font-family: 'robotomedium';
    color: #fff;
    margin-top: 60px;
    margin-bottom: 60px;
}

.fond3 .conteneur a:hover {

    background-color: #fff;
    color: #3ead87;

}

.fond3 .conteneur a img {

    padding-left: 8px;
}

.portfolioitem{
    
    position: relative;
    min-height: 184px;
    min-width: 184px;
}

.secondaire {
    
position:absolute;
 top:0px;
left:0px;
opacity:0;
transition:all 1s;   
}

.portfolioitem:hover .secondaire{
    
    opacity:1;
    cursor: pointer;
}
/*Footer*/

footer {

    background-color: #223139;
}

footer .conteneur {

    margin: 0 auto;
}

footer .conteneur h2,
footer .conteneur .soustitre {

    color: #fff;
}

footer .conteneur h2 {

    padding-top: 58px;
    padding-bottom: 15px;
}

footer .soustitre {


    padding-bottom: 38px;
}

/*Formulaire de contact*/

footer {

    padding-bottom: 50px;
}

footer input[type="text"],
footer input[type="email"],
footer textarea {

    width: 500px;
    text-align: center;
    border: 1px solid #fff;
    border-radius: 25px;
    margin-bottom: 10px;
    font-size: 15px;
    color: #8ea6b3;
    font-family: 'robotomedium';
}


footer input[type="text"],
footer input[type="email"] {

    padding-top: 20px;
    padding-bottom: 20px;
}

footer textarea {

    padding-top: 60px;
    padding-bottom: 60px;
}

input[type="submit"] {


    display: block;
    margin: auto;
    border: none;
    color: #fff;
    background-color: transparent;
    padding: 15px;
    border: 2px solid #fff;
    border-radius: 25px;
   width:  300px;
    text-align: center;
    cursor: pointer;
    font-size: 15px;
    font-family: 'robotomedium';
}

input[type="submit"]:hover {

    background-color: #fff;
    color: #223139;
}



footer hr {

    margin-top: 85px;
    margin-bottom: 67px;
    color: #f0f0f0;
}

.footer2 {

    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;

}

.social {

    display: flex;
    justify-content: flex-start;
    align-content: center;
    flex-wrap: wrap;
}

.social p:first-child {

    color: #fff;
    font-size: 16px;
    font-family: 'robotolight';
    padding-right: 35px;
    padding-top: 7.5px;
}

.logosocial {

    width: 36px;
    height: 36px;

    background-repeat: no-repeat;
    background-position: top left;


}

.logosocial a {

    display: block;
    width: 36px;
    height: 36px;

}

.logosocial:hover {

    background-position: top right;

}

.facebook {

    background-image: url(../img/logo-facebook2.png);
}

.twitter {

    background-image: url(../img/logo-twitte2r.png);
}

.linkedin {

    background-image: url(../img/logo-linkedin2.png)
}

.pinterest {
    background-image: url(../img/logo-pinterest2.png)
}

.youtube {

    background-image: url(../img/logo-youtube2.png)
}



.footer2 small {

    font-size: 12px;
    color: #fff;
}

.footer2 small a {

    color: #fff;
}
